%undefine __libtoolize
%set_verify_elf_method rpath=normal,textrel=relaxed
%define qtdir %_libdir/qt3
%add_findprov_lib_path %_libdir/kde3

%define build_gmcop 1
%define unstable 0
%def_disable static
%if_enabled static
%define buildstatic 0
%else
%define buildstatic 0
%endif

Name: arts
Version: 1.4.1
Release: alt4
Serial: 1

Source: %name-%version.tar.bz2
#Source: arts-1.3.92.tar.bz2

# RH
Patch1: arts-1.2.0-glib2.patch
Patch2: arts-1.1.4-debug.patch

# SuSE
Patch22: arts-vorbis-fix.dif

# MDK
Patch31: arts-1.1.4-64bit-fixes.patch
Patch32: arts-1.1.4-lib64.patch

# ALT
Patch100: arts-1.0.1-mcop_home.patch
Patch101: arts-1.0.2-tmpdir.patch
Patch102: arts-1.3.2-flags.patch
Patch103: arts-1.1.4-no_ltdl.patch
Patch104: arts-1.3.92-la2so.patch
Patch105: arts-1.2.3-glib-ldflags.patch
Patch106: arts-1.2.3-detect-esd.patch

Group: System/Servers
Summary: aRts (analog realtime synthesizer) - the KDE sound system
License: ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0

Requires: lib%name = %serial:%version-%release
Conflicts: lib%name-devel-static < %serial:%version-%release
Conflicts: kdemultimedia-arts <= 3.1.4-alt2 kdemultimedia-noatun <= 3.1.4-alt2

# Automatically added by buildreq on Thu Apr 08 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libalsa-devel libaudio-devel libaudiofile-devel libjpeg-devel libmad-devel libogg-devel libpng-devel libqt3-devel libstdc++-devel libvorbis-devel pkgconfig zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: glib2-devel libalsa-devel libaudio-devel libaudiofile-devel
BuildRequires: libjpeg-devel libmad-devel libogg-devel libpng-devel
BuildRequires: libstdc++-devel libvorbis-devel pkgconfig zlib-devel
BuildRequires: jackit-devel
BuildRequires: libqt3-devel-cxx = %__gcc_version_base libqt3-devel > 3.0
# hack against apt
BuildRequires: libqt3-qsa > 3.0 libqt3-qsa-devel > 3.0

%description
aRts is a short form for "analog realtime synthesizer". The idea of the whole
thing is to create/process sound using small modules which do certain tasks.
These may be create a waveform (oscillators), play samples, filter data, add
signals, perform effects like delay/flanger/chorus, or output the data to the
soundcard.

%package -n lib%name
Group: Graphical desktop/KDE
Summary: The libraries for arts

%description -n lib%name
Libraries needed for arts.

%package -n lib%name-devel
Group: Development/C++
Summary: Development files for arts
Requires: lib%name = %serial:%version-%release libalsa-devel
#
%description -n lib%name-devel
Development files for arts.

%package -n lib%name-devel-static
Group: Development/KDE and QT
Summary: Static libraries for arts
Requires: lib%name-devel = %serial:%version-%release
#
Provides: kdelibs-sound-devel-static = %serial:%version-%release
Obsoletes: kdelibs-sound-devel-static
#
%description -n lib%name-devel-static
Static libraries for arts.

%package -n lib%name-qtmcop
Group: Graphical desktop/KDE
Summary: Qt specific arts sound stuff
Requires: lib%name = %serial:%version-%release
Requires: %{get_dep libqt3}
Provides: kdelibs-sound = %serial:%version-%release
Obsoletes: kdelibs-sound <= %serial:%version-%release
Provides: lib%name-qt = %serial:%version-%release
Obsoletes: lib%name-qt <= %serial:%version-%release
#
%description -n lib%name-qtmcop
Libraries for sound support for Qt library

%package -n lib%name-qtmcop-devel
Group: Development/KDE and QT
Summary: Development files for arts and Qt
Requires: lib%name = %serial:%version-%release
Requires: lib%name-devel = %serial:%version-%release
Requires: lib%name-qt = %serial:%version-%release
Requires: libqt3-devel
Provides: kdelibs-sound-devel = %serial:%version-%release
Obsoletes: kdelibs-sound-devel <= %serial:%version-%release
Provides: lib%name-qt-devel = %serial:%version-%release
Obsoletes: lib%name-qt-devel <= %serial:%version-%release
#
%description -n lib%name-qtmcop-devel
Development files for sound support for Qt library

%package -n lib%name-qtmcop-devel-static
Group: Development/KDE and QT
Summary: Static libraries for development with arts and Qt
Requires: lib%name-qt-devel = %serial:%version-%release
#Requires: libqt3-devel-static
Provides: kdelibs-sound-devel-static = %serial:%version-%release
Obsoletes: kdelibs-sound-devel-static <= %serial:%version-%release
Provides: lib%name-qt-devel-static = %serial:%version-%release
Obsoletes: lib%name-qt-devel-static <= %serial:%version-%release
#
%description -n lib%name-qtmcop-devel-static
Static libraries for sound support for Qt library

%package -n lib%name-gmcop
Group: System/Libraries
Summary: Glib specific art sound stuff
Requires: lib%name = %serial:%version-%release
#
%description -n lib%name-gmcop
Libraries for sound support for Glib library

%package -n lib%name-gmcop-devel
Group: Development/C++
Summary: Development files for arts and Glib
Requires: lib%name = %serial:%version-%release lib%name-gmcop = %serial:%version-%release
#
%description -n lib%name-gmcop-devel
Development files for sound support for Glib library

%package -n lib%name-gmcop-devel-static
Group: Development/C++
Summary: Static libraries for development with arts and Glib
Requires: lib%name-gmcop-devel = %serial:%version-%release
Requires: glib2-devel-static
#
%description -n lib%name-gmcop-devel-static
Static libraries for sound support for Glib library


%prep
%setup -q -n %name-%version
#%setup -q -n %name-1.3.92
###%patch1 -p1
%patch2 -p1
#
#%patch22 -p0
#
%patch31 -p1
%patch32 -p1
#
#%patch100 -p1
%patch101 -p1
%patch102 -p1
#%patch103 -p1
%patch104 -p1
%patch105 -p1
#%patch106 -p1

# Workaround for legacy auto* tools
#[ -x /usr/bin/autoconf_2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
#[ -x /usr/bin/autoheader_2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
#[ -x /usr/bin/aclocal-1.6 ] && ln -s /usr/bin/aclocal-1.5 aclocal
#[ -x /usr/bin/automake-1.6 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

subst "s/\.la/.so/g" admin/acinclude.m4.in
for f in `find -type f -name \*.mcopclass`
do
    subst 's/\(Library=.*\)\.la$/\1.so/' "$f"
done

make -f admin/Makefile.common cvs

%build
rm -rf %buildroot
%add_optflags -fpic
export PATH=`pwd`:$PATH
export QTDIR=%qtdir
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
export LDFLAGS="-L%buildroot/%_libdir"
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
%if !%build_gmcop
export DO_NOT_COMPILE=gmcop
%endif

%configure \
                    --enable-final \
        	    --disable-debug \
%if %unstable
        	    --enable-debug=full \
%endif
		    %{subst_enable static} \
                    --enable-shared \
                    --enable-fast-install=yes \
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --enable-mitshm \
                    --enable-arts-gsl \
                    --disable-libfam \
                    --enable-pcre \
                    --with-gnu-ld \
                    --with-xinerama \
                    --with-distribution="%distribution %_target_cpu" \
                    --with-alsa \
                    --with-ipv6-lookup=auto \
                    --x-includes=%_x11includedir \
                    --x-libraries=%_x11libdir \
		    --program-transform-name=""
#		    --enable-new-ldflags \


%make_build

%install
export PATH=`pwd`:$PATH
%make_build DESTDIR=$RPM_BUILD_ROOT install

chmod a+x $RPM_BUILD_ROOT%_libdir/*

%post -n libarts
%post_ldconfig
%postun -n libarts
%postun_ldconfig

%post -n libarts-qtmcop
%post_ldconfig
%postun -n libarts-qtmcop
%postun_ldconfig

%post -n libarts-gmcop
%post_ldconfig
%postun -n libarts-gmcop
%postun_ldconfig


%files
%_bindir/artscat
%_bindir/artsd*
%_bindir/artsp*
%_bindir/artss*
%_bindir/artsw*
%_bindir/artsr*
#%_bindir/testdhandle

%files -n libarts
%_libdir/libartsc.so*
%_libdir/libartscbackend.so*
%_libdir/libartsdsp.so*
%_libdir/libartsdsp_st.so*
%_libdir/libartsflow.so*
%_libdir/libartsflow_idl.so*
%_libdir/libartswavplayobject.so*
%_libdir/libartsgslplayobject.so*
%_libdir/libkmedia2.so*
%_libdir/libkmedia2_idl.so*
%_libdir/libsoundserver_idl.so*
%_libdir/libmcop.so*
%_libdir/libmcop_mt.so*
%_libdir/libx11globalcomm.so*
#
%dir %_libdir/mcop/
%_libdir/mcop/*.mcopclass
%_libdir/mcop/*.mcoptype
#
%dir %_libdir/mcop/Arts
%_libdir/mcop/Arts/*.mcopclass

%files -n libarts-devel
%_bindir/artsc-config
%_bindir/mcopidl
#
%dir %_includedir/arts/
%_includedir/arts/gsl
%_includedir/arts/*.h
%exclude %_includedir/arts/*?iomanager.h

%_includedir/arts/*.idl
#
%dir %_includedir/artsc/
%_includedir/artsc/*.h

%files -n lib%name-qtmcop
%_libdir/libqtmcop.so*

%files -n lib%name-qtmcop-devel
%_includedir/arts/qiomanager.h

%if %build_gmcop
%files -n lib%name-gmcop
%_libdir/libgmcop.so*
%files -n lib%name-gmcop-devel
%_includedir/arts/giomanager.h
%endif

%if %buildstatic
%files -n libarts-devel-static
%_libdir/libartsc.a
%_libdir/libartscbackend.a
%_libdir/libartsdsp.a
%_libdir/libartsdsp_st.a
%_libdir/libartsflow.a
%_libdir/libartsflow_idl.a
%_libdir/libartswavplayobject.a
%_libdir/libartsgslplayobject.a
%_libdir/libkmedia2.a
%_libdir/libkmedia2_idl.a
%_libdir/libsoundserver_idl.a
%_libdir/libmcop.a
%_libdir/libmcop_mt.a
%_libdir/libx11globalcomm.a
%files -n lib%name-qtmcop-devel-static
%_libdir/libqtmcop.a
%files -n lib%name-gmcop-devel-static
%_libdir/libgmcop.a
%endif

%changelog
* Mon Oct 10 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.4.1-alt4
- temporary don't link with --enable-new-dtags

* Tue Oct 04 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.4.1-alt3
- fix %%qtdir

* Mon Jul 11 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.4.1-alt2
- x86_64 fixes; thanks mouse@alt

* Wed Jun 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.4.1-alt1
- new version

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.4.0-alt1
- new version

* Tue Jan 18 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.3.2-alt3
- rebuild

* Tue Jan 18 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.3.2-alt2
- rebuild with gcc3.4

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 1:1.3.2-alt1
- rebuild

* Mon Jan 03 2005 ZerG <zerg@altlinux.ru> 1:1.3.2-alt0.0.M24
- new version

* Wed Oct 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.3.1-alt1
- new version

* Mon Sep 27 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.3.0-alt1
- new version

* Tue Jul 13 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.3-alt2
- build libgmcop

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.3-alt1
- new version

* Fri May 14 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.2-alt3
- add patches from SuSE for fix vorbis dcache_block_size and mcop buffer aliasing

* Wed Apr 14 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.2-alt2
- add patch from RH for glib2

* Thu Apr 08 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.2-alt1
- new version

* Fri Mar 19 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.1-alt2
- rebuild with ltdl

* Thu Mar 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.1-alt1
- new version

* Fri Feb 27 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.2.0-alt1
- new version
- build with gmcop support

* Mon Dec 29 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt6
- rebuild with gcc3.3

* Wed Dec 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt5
- fix loading libartscbackend.so

* Mon Dec 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt4
- remove *.la
- rename kdelibs-sound to libarts-qt
- fix provides/requires

* Fri Nov 28 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt3
- rebuild

* Fri Nov 14 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt2
- rebuild

* Wed Sep 17 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.4-alt1
- new version

* Mon Aug 18 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.3-alt2
- update code from cvs

* Thu Jul 31 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.3-alt1
- update code from cvs

* Mon Jul 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.3-alt0.2
- update code from cvs
- turn strict ansi off

* Fri Jul 18 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.3-alt0.1
- update code from cvs

* Mon Jun 16 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.1.2-alt2
- update from cvs ARTS_1_1_BRANCH
- add RH patch2

* Wed May 21 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:1.1.2-alt1
- update from cvs ARTS_1_1_BRANCH
- add xine-arts-plugin patches

* Thu Mar 13 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt11
- update from cvs ARTS_1_1_BRANCH

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt10
- fix requires

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt9
- build static libraries

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt8
- fix requires
- add patch from RH

* Fri Jan 17 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt6
- fix patch2

* Sat Jan 04 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt5
- update from cvs

* Mon Dec 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt4
- add MDK patches
- disable objprelink

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt3
- rebuild

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt2
- rebuild

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt1
- update from cvs

* Thu Nov 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.7
- update from cvs

* Fri Nov 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.6
- update from cvs ARTS_1_1_0_RELEASE

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.5.rc2
- rc2

* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.4.rc1
- rc1

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.3
- add gsl files

* Wed Oct 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.2
- update code from cvs HEAD

* Thu Oct 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt8
- fix requires && provides

* Fri Sep 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt7
- fix requires

* Fri Sep 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt6
- update from cvs
- fix requires

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt5
- rebuild with new XFree86

* Mon Sep 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt4
- rebuild with objprelink

* Thu Sep 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt3
- rebuild with gcc 3.2

* Fri Aug 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt1
- fix %%version && rebuild

* Mon Aug 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.2-alt3
- update from cvs

* Mon Jul 08 2002 ZerG <zerg@altlinux.ru> 1:1.0.2-alt2
- add patch for writing temp files to $TMPDIR

* Wed Jul 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.2-alt1
- new version

* Fri Jun 07 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.1-alt2
- update from cvs
- add patch changeing ~/.mcop to ~/.mcop1

* Sun May 26 2002 ZerG <zerg@altlinux.ru> 1:1.0.1-alt1
- new version

* Tue May 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt5
- fix Requires

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt4
- update from cvs
- add obsoletes -devel-static
- fix buildrequires

* Wed May 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt3
- update from cvs

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt2
- move to /usr

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt2
- 

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt1
- new version

* Mon Apr 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt0.2.cvs20020401
- update from cvs

* Thu Mar 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.9-alt0.1.rc3
- build for ALT

* Wed Mar 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020313.1
- Build with autoconf 2.53, automake 1.5

* Thu Feb 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020114.1
- initial package
